com.smartgwt.client.widgets.calendar

## Class EventEditorCustomizer

- java.lang.Object
- - com.smartgwt.client.widgets.calendar.EventEditorCustomizer

-     public abstract class EventEditorCustomizer
      extends java.lang.Object

  Called whenever a Calender needs to show an EventEditor, to edit or create a CalendarEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventEditorCustomizer()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Calendar` | `getCalendar()` Returns the Calendar in which the EventEditor is being displayed.
    `void` | `setCalendar(Calendar calendar)`
    `abstract boolean` | `showEventEditor(CalendarEvent calendarEvent, java.lang.Boolean isNewEvent)` showEventEditor() can be used to show some custom user interface for editing or creating calendar events.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventEditorCustomizer

          public EventEditorCustomizer()

  - ### Method Detail

    - #### setCalendar

          public void setCalendar(Calendar calendar)

    - #### getCalendar

          public Calendar getCalendar()

      Returns the Calendar in which the EventEditor is being displayed. To access the current view, use getCalendar().getSelectedView().
      Returns:
        Calendar in which the EventEditor is being displayed

    - #### showEventEditor

          public abstract boolean showEventEditor(CalendarEvent calendarEvent,
                                                  java.lang.Boolean isNewEvent)

      showEventEditor() can be used to show some custom user interface for editing or creating calendar events.
      Parameters:
        `calendarEvent` - the event to edit
        `isNewEvent` - true for a new event - if true, calendarEvent represents defaults for the new event
      Returns:
        false to prevent the default Event Editor from showing